#
# spec file for package gocr (Version 0.41)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           gocr
BuildRequires:  ghostscript-fonts-other ghostscript-fonts-std ghostscript-x11 gtk1-compat-devel transfig update-desktop-files
%if 0%{?sles_version} == 10
BuildRequires:	libnetpbm
%else
BuildRequires:	libnetpbm-devel
%endif
Summary:        GOCR--Optical Character Recognition
Version:        0.41
Release:        100.1
Group:          Productivity/Graphics/Other
Requires:       tcl tk
License:        GPL v2 or later
Url:            http://www-e.uni-magdeburg.de/jschulen/ocr/index.html
Source:         gocr-%{version}.tar.bz2
Source1:        gocr.desktop
Patch0:         gocr-%{version}.dif
Patch1:         gocr-%{version}-pgm.patch
Patch2:         gocr-overflow.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GOCR is a free OCR (Optical Character Recognition) project that
provides a library, a command line version, and an X interface.
Although the program is in an early development state, the results are
very impressive.



Authors:
--------
    Jrg Schulenburg <Joerg.Schulenburg@physik.uni-magdeburg.de>, <jschulen@gmx.de>
    Bruno Barberi Gnecco <brunobg@geocities.com>

%define INSTALL install -m755
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup -q -n gocr-%{version}
rm -rf */CVS
%patch0
%patch1
%patch2

%build
CFLAGS=$RPM_OPT_FLAGS \
  ./configure --prefix=$RPM_BUILD_ROOT/usr --bindir=/bin/ --libdir=/%{_lib}/ \
              --mandir=/share/man/ --includedir=/include/ %{_target_cpu}-suse-linux-gnu
make 
make examples
make doc
# gnome frontend
cd frontend/gnome
CFLAGS=$RPM_OPT_FLAGS \
  ./configure --prefix=/usr --bindir=/bin/ --libdir=/lib/ \
                --mandir=/share/man/          \
                %{_target_cpu}-suse-linux-gnu \
              --disable-gtktest
make 

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   rm -fr $RPM_BUILD_ROOT
   %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
# General source install
make install prefix=$RPM_BUILD_ROOT
# install X11-Stuff.
%{INSTALL_DIR} $RPM_BUILD_ROOT/usr/
%{INSTALL_DIR} $RPM_BUILD_ROOT/usr/bin
%{INSTALL} bin/gocr.tcl $RPM_BUILD_ROOT/usr/bin
%{INSTALL} frontend/gnome/src/gtk-ocr $RPM_BUILD_ROOT/usr/bin/
%suse_update_desktop_file -i gocr Graphics OCR
chmod 644 $RPM_BUILD_ROOT/usr/share/man/man1/*

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/gocr.html
%doc doc/unicode.txt
%doc doc/examples.txt
%doc AUTHORS BUGS CREDITS HISTORY README READMEde.txt REMARK.txt REVIEW TODO gocr.spec gpl.html make.bat
%doc examples
%doc %{_mandir}/man1/*
%{_bindir}/gocr
/usr/share/applications/gocr.desktop
/usr/bin/gocr.tcl
/usr/bin/gtk-ocr
%{_libdir}/libPgm2asc.a
%{_includedir}/gocr.h
%defattr(-, root, root)
# spec file ends here
%changelog
* Thu Oct 18 2007 meissner@suse.de
- fixed 1 byte buffer overflow due to bug
* Fri Aug 10 2007 ro@suse.de
- added libnetpbm-devel to the buildreq
* Sun Apr 22 2007 aj@suse.de
- Remove unneeded build requires.
* Tue Nov  7 2006 ro@suse.de
- fix man-page permissions
* Mon Oct 23 2006 freitag@suse.de
- update to version 0.41:
    otsu.c concentrates now only on high contrast regions
    fix pnm reads for 2 byte pixels (--with-libpbm=no)
    update man-page (mail me your suggestions)
    fix g++ warnings, float-OPs replaced by int-OPs
    spacing reviewed; make distance() more sensitive
    xml-objects (barcode, melted chars) now also handled with weights
    fix division by zero bug for vertical positioned characters
    default output is UTF8 now, UTF-encoding bug fixed
    added certainty option
    added uninstall to Makefile
    debug image format changed to png (using pipe) or ppm (fall-back)
    much better word spacing (line-by-line based)
    better DOT_ABOVE recognition
    fix output of char groups or strings stored in database, utf8 input
    fix buffer overflow in barcode decode39
    fix lost comma on end of line
    internal vector format added for future use (faster, scalable, rotable)
    line detection extended
    internal list management rewritten to fix memory leaks and segfaults
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Sep 26 2005 sbrabec@suse.cz
- Force gtk2 using gtk1-compat-devel.
* Wed Jul  6 2005 max@suse.de
- Added missing includes to allow lightweight buffer overflow
  checking.
* Thu Mar 24 2005 max@suse.de
- update to version 0.40
* Wed Jan 28 2004 freitag@suse.de
- update to version 0.38
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Sat Aug 16 2003 adrian@suse.de
- install desktop file
* Fri Feb 21 2003 freitag@suse.de
- update to version 0.37 that brings better ocr results, 0.3.5. was
  very outdated.
  Removed the patch of sbrabec since it found the way upstream :)
* Tue Sep 24 2002 sbrabec@suse.cz
- Added rudimentary support to recognize Czech and Slovak characters.
* Sun Aug 18 2002 ro@suse.de
- added ghostscript-x11-packages to neededforbuild (for gs)
* Tue Jul 30 2002 freitag@suse.de
- removed senseless patches from specfile
* Thu Jul 25 2002 freitag@suse.de
- update to 0.3.5, bugfixes and new frontends, speed improvements
* Fri Feb  1 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 31 2002 ro@suse.de
- added libgimpprint to neededforbuild
* Mon Dec  3 2001 freitag@suse.de
- update to version 0.3.4, small improvements.
* Fri Jul 27 2001 kukuk@suse.de
- Add glib to neededforbuild
* Fri Jul 20 2001 kukuk@suse.de
- changed neededforbuild <gs_lib> to <ghostscript-library>
- changed neededforbuild <gs_x11> to <ghostscript-x11>
* Thu Mar  8 2001 freitag@suse.de
- update to version 0.3.1 and added xf86 to requires.
* Fri Dec 15 2000 freitag@suse.de
- first version 0.3.0
